com.genesyslab.wfm7.API.service.RTA712

## Class AdherenceWithStatsStruct

- java.lang.Object
- - com.genesyslab.wfm7.API.service.RTA712.AdherenceWithStatsStruct

- All Implemented Interfaces:
    java.io.Serializable

      public class AdherenceWithStatsStruct
      extends java.lang.Object
      implements java.io.Serializable

  Contains the arrays of agents and their states together with as adherence statistics.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private AgentAdherenceStruct[]` | `agentAdherenceArray`
    `private int` | `agentAdherenceArraySize`
    `private AgentsInStateCountStruct[]` | `agentCountsArray`
    `private int` | `agentCountsArraySize`
    `private int` | `firstAgentIndex`
    `private NameIDStruct[]` | `genesysStates`
    `private int` | `genesysStatesSize`
    `private NameIDStruct[]` | `scheduledStateGroups`
    `private int` | `scheduledStateGroupsSize`
    `private ScheduleStateStruct[]` | `scheduledStates`
    `private int` | `scheduledStatesSize`
    `private NameIDStruct[]` | `siteNames`
    `private int` | `siteNamesSize`
    `private NameIDStruct[]` | `teamNames`
    `private int` | `teamNamesSize`
    `private int` | `totalSnapshotAgents`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdherenceWithStatsStruct()`
    `AdherenceWithStatsStruct(int agentCountsArraySize, AgentsInStateCountStruct[] agentCountsArray, int firstAgentIndex, int totalSnapshotAgents, int agentAdherenceArraySize, AgentAdherenceStruct[] agentAdherenceArray, int siteNamesSize, NameIDStruct[] siteNames, int teamNamesSize, NameIDStruct[] teamNames, int scheduledStatesSize, ScheduleStateStruct[] scheduledStates, int scheduledStateGroupsSize, NameIDStruct[] scheduledStateGroups, int genesysStatesSize, NameIDStruct[] genesysStates)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `AgentAdherenceStruct[]` | `getAgentAdherenceArray()` Gets the agent adherence structures.
    `int` | `getAgentAdherenceArraySize()` Gets the size of agent adherence structure array.
    `AgentsInStateCountStruct[]` | `getAgentCountsArray()` Gets the number of agents in each adherence category.
    `int` | `getAgentCountsArraySize()` Gets the number of agents.
    `int` | `getFirstAgentIndex()` Gets the index of the first agent that could be returned.
    `NameIDStruct[]` | `getGenesysStates()` Gets the genesysStates value for this AdherenceWithStatsStruct.
    `int` | `getGenesysStatesSize()` Gets the genesysStatesSize value for this AdherenceWithStatsStruct.
    `NameIDStruct[]` | `getScheduledStateGroups()` Gets the scheduledStateGroups value for this AdherenceWithStatsStruct.
    `int` | `getScheduledStateGroupsSize()` Gets the scheduledStateGroupsSize value for this AdherenceWithStatsStruct.
    `ScheduleStateStruct[]` | `getScheduledStates()` Gets the scheduledStates value for this AdherenceWithStatsStruct.
    `int` | `getScheduledStatesSize()` Gets the scheduledStatesSize value for this AdherenceWithStatsStruct.
    `NameIDStruct[]` | `getSiteNames()` Gets the siteNames value for this AdherenceWithStatsStruct.
    `int` | `getSiteNamesSize()` Gets the size of site names structure array.
    `NameIDStruct[]` | `getTeamNames()` Gets the teamNames value for this AdherenceWithStatsStruct.
    `int` | `getTeamNamesSize()` Gets the teamNamesSize value for this AdherenceWithStatsStruct.
    `int` | `getTotalSnapshotAgents()` Gets the number of agents in the snapshot.
    `int` | `hashCode()`
    `void` | `setAgentAdherenceArray(AgentAdherenceStruct[] agentAdherenceArray)` Sets the agent adherence structures.
    `void` | `setAgentAdherenceArraySize(int agentAdherenceArraySize)` Sets the size of agent adherence structure array.
    `void` | `setAgentCountsArray(AgentsInStateCountStruct[] agentCountsArray)` Sets the number of agents in each adherence category.
    `void` | `setAgentCountsArraySize(int agentCountsArraySize)` Sets the Gets the number of agents.
    `void` | `setFirstAgentIndex(int firstAgentIndex)` Sets the index of the first agent that could be returned.
    `void` | `setGenesysStates(NameIDStruct[] genesysStates)` Sets the genesysStates value for this AdherenceWithStatsStruct.
    `void` | `setGenesysStatesSize(int genesysStatesSize)` Sets the genesysStatesSize value for this AdherenceWithStatsStruct.
    `void` | `setScheduledStateGroups(NameIDStruct[] scheduledStateGroups)` Sets the scheduledStateGroups value for this AdherenceWithStatsStruct.
    `void` | `setScheduledStateGroupsSize(int scheduledStateGroupsSize)` Sets the scheduledStateGroupsSize value for this AdherenceWithStatsStruct.
    `void` | `setScheduledStates(ScheduleStateStruct[] scheduledStates)` Sets the scheduledStates value for this AdherenceWithStatsStruct.
    `void` | `setScheduledStatesSize(int scheduledStatesSize)` Sets the scheduledStatesSize value for this AdherenceWithStatsStruct.
    `void` | `setSiteNames(NameIDStruct[] siteNames)` Sets the siteNames value for this AdherenceWithStatsStruct.
    `void` | `setSiteNamesSize(int siteNamesSize)` Sets the the size of site names structure array.
    `void` | `setTeamNames(NameIDStruct[] teamNames)` Sets the teamNames value for this AdherenceWithStatsStruct.
    `void` | `setTeamNamesSize(int teamNamesSize)` Sets the teamNamesSize value for this AdherenceWithStatsStruct.
    `void` | `setTotalSnapshotAgents(int totalSnapshotAgents)` Sets the number of agents in the snapshot.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### agentCountsArraySize

          private int agentCountsArraySize

    - #### agentCountsArray

          private AgentsInStateCountStruct[] agentCountsArray

    - #### firstAgentIndex

          private int firstAgentIndex

    - #### totalSnapshotAgents

          private int totalSnapshotAgents

    - #### agentAdherenceArraySize

          private int agentAdherenceArraySize

    - #### agentAdherenceArray

          private AgentAdherenceStruct[] agentAdherenceArray

    - #### siteNamesSize

          private int siteNamesSize

    - #### siteNames

          private NameIDStruct[] siteNames

    - #### teamNamesSize

          private int teamNamesSize

    - #### teamNames

          private NameIDStruct[] teamNames

    - #### scheduledStatesSize

          private int scheduledStatesSize

    - #### scheduledStates

          private ScheduleStateStruct[] scheduledStates

    - #### scheduledStateGroupsSize

          private int scheduledStateGroupsSize

    - #### scheduledStateGroups

          private NameIDStruct[] scheduledStateGroups

    - #### genesysStatesSize

          private int genesysStatesSize

    - #### genesysStates

          private NameIDStruct[] genesysStates

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### AdherenceWithStatsStruct

          public AdherenceWithStatsStruct()

    - #### AdherenceWithStatsStruct

          public AdherenceWithStatsStruct(int agentCountsArraySize,
                                  AgentsInStateCountStruct[] agentCountsArray,
                                  int firstAgentIndex,
                                  int totalSnapshotAgents,
                                  int agentAdherenceArraySize,
                                  AgentAdherenceStruct[] agentAdherenceArray,
                                  int siteNamesSize,
                                  NameIDStruct[] siteNames,
                                  int teamNamesSize,
                                  NameIDStruct[] teamNames,
                                  int scheduledStatesSize,
                                  ScheduleStateStruct[] scheduledStates,
                                  int scheduledStateGroupsSize,
                                  NameIDStruct[] scheduledStateGroups,
                                  int genesysStatesSize,
                                  NameIDStruct[] genesysStates)

  - ### Method Detail

    - #### getAgentCountsArraySize

          public int getAgentCountsArraySize()

      Gets the number of agents.
      Returns:
        agentCountsArraySize

    - #### setAgentCountsArraySize

          public void setAgentCountsArraySize(int agentCountsArraySize)

      Sets the Gets the number of agents.
      Parameters:
        `agentCountsArraySize` -

    - #### getAgentCountsArray

          public AgentsInStateCountStruct[] getAgentCountsArray()

      Gets the number of agents in each adherence category.
      Returns:
        agentCountsArray

    - #### setAgentCountsArray

          public void setAgentCountsArray(AgentsInStateCountStruct[] agentCountsArray)

      Sets the number of agents in each adherence category.
      Parameters:
        `agentCountsArray` -

    - #### getFirstAgentIndex

          public int getFirstAgentIndex()

      Gets the index of the first agent that could be returned.
      Returns:
        firstAgentIndex

    - #### setFirstAgentIndex

          public void setFirstAgentIndex(int firstAgentIndex)

      Sets the index of the first agent that could be returned.
      Parameters:
        `firstAgentIndex` -

    - #### getTotalSnapshotAgents

          public int getTotalSnapshotAgents()

      Gets the number of agents in the snapshot.
      Returns:
        totalSnapshotAgents

    - #### setTotalSnapshotAgents

          public void setTotalSnapshotAgents(int totalSnapshotAgents)

      Sets the number of agents in the snapshot.
      Parameters:
        `totalSnapshotAgents` -

    - #### getAgentAdherenceArraySize

          public int getAgentAdherenceArraySize()

      Gets the size of agent adherence structure array.
      Returns:
        agentAdherenceArraySize

    - #### setAgentAdherenceArraySize

          public void setAgentAdherenceArraySize(int agentAdherenceArraySize)

      Sets the size of agent adherence structure array.
      Parameters:
        `agentAdherenceArraySize` -

    - #### getAgentAdherenceArray

          public AgentAdherenceStruct[] getAgentAdherenceArray()

      Gets the agent adherence structures.
      Returns:
        agentAdherenceArray

    - #### setAgentAdherenceArray

          public void setAgentAdherenceArray(AgentAdherenceStruct[] agentAdherenceArray)

      Sets the agent adherence structures.
      Parameters:
        `agentAdherenceArray` -

    - #### getSiteNamesSize

          public int getSiteNamesSize()

      Gets the size of site names structure array.
      Returns:
        siteNamesSize

    - #### setSiteNamesSize

          public void setSiteNamesSize(int siteNamesSize)

      Sets the the size of site names structure array.
      Parameters:
        `siteNamesSize` -

    - #### getSiteNames

          public NameIDStruct[] getSiteNames()

      Gets the siteNames value for this AdherenceWithStatsStruct.
      Returns:
        siteNames

    - #### setSiteNames

          public void setSiteNames(NameIDStruct[] siteNames)

      Sets the siteNames value for this AdherenceWithStatsStruct.
      Parameters:
        `siteNames` -

    - #### getTeamNamesSize

          public int getTeamNamesSize()

      Gets the teamNamesSize value for this AdherenceWithStatsStruct.
      Returns:
        teamNamesSize

    - #### setTeamNamesSize

          public void setTeamNamesSize(int teamNamesSize)

      Sets the teamNamesSize value for this AdherenceWithStatsStruct.
      Parameters:
        `teamNamesSize` -

    - #### getTeamNames

          public NameIDStruct[] getTeamNames()

      Gets the teamNames value for this AdherenceWithStatsStruct.
      Returns:
        teamNames

    - #### setTeamNames

          public void setTeamNames(NameIDStruct[] teamNames)

      Sets the teamNames value for this AdherenceWithStatsStruct.
      Parameters:
        `teamNames` -

    - #### getScheduledStatesSize

          public int getScheduledStatesSize()

      Gets the scheduledStatesSize value for this AdherenceWithStatsStruct.
      Returns:
        scheduledStatesSize

    - #### setScheduledStatesSize

          public void setScheduledStatesSize(int scheduledStatesSize)

      Sets the scheduledStatesSize value for this AdherenceWithStatsStruct.
      Parameters:
        `scheduledStatesSize` -

    - #### getScheduledStates

          public ScheduleStateStruct[] getScheduledStates()

      Gets the scheduledStates value for this AdherenceWithStatsStruct.
      Returns:
        scheduledStates

    - #### setScheduledStates

          public void setScheduledStates(ScheduleStateStruct[] scheduledStates)

      Sets the scheduledStates value for this AdherenceWithStatsStruct.
      Parameters:
        `scheduledStates` -

    - #### getScheduledStateGroupsSize

          public int getScheduledStateGroupsSize()

      Gets the scheduledStateGroupsSize value for this AdherenceWithStatsStruct.
      Returns:
        scheduledStateGroupsSize

    - #### setScheduledStateGroupsSize

          public void setScheduledStateGroupsSize(int scheduledStateGroupsSize)

      Sets the scheduledStateGroupsSize value for this AdherenceWithStatsStruct.
      Parameters:
        `scheduledStateGroupsSize` -

    - #### getScheduledStateGroups

          public NameIDStruct[] getScheduledStateGroups()

      Gets the scheduledStateGroups value for this AdherenceWithStatsStruct.
      Returns:
        scheduledStateGroups

    - #### setScheduledStateGroups

          public void setScheduledStateGroups(NameIDStruct[] scheduledStateGroups)

      Sets the scheduledStateGroups value for this AdherenceWithStatsStruct.
      Parameters:
        `scheduledStateGroups` -

    - #### getGenesysStatesSize

          public int getGenesysStatesSize()

      Gets the genesysStatesSize value for this AdherenceWithStatsStruct.
      Returns:
        genesysStatesSize

    - #### setGenesysStatesSize

          public void setGenesysStatesSize(int genesysStatesSize)

      Sets the genesysStatesSize value for this AdherenceWithStatsStruct.
      Parameters:
        `genesysStatesSize` -

    - #### getGenesysStates

          public NameIDStruct[] getGenesysStates()

      Gets the genesysStates value for this AdherenceWithStatsStruct.
      Returns:
        genesysStates

    - #### setGenesysStates

          public void setGenesysStates(NameIDStruct[] genesysStates)

      Sets the genesysStates value for this AdherenceWithStatsStruct.
      Parameters:
        `genesysStates` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.